Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 504872 (CVE-2014-2497) - <media-libs/gd-2.1.1: NULL pointer dereference may cause denial of service
Summary: <media-libs/gd-2.1.1: NULL pointer dereference may cause denial of service
Status: RESOLVED FIXED
Alias: CVE-2014-2497
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://bitbucket.org/libgd/gd-libgd/...
Whiteboard: A3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-17 09:56 UTC by Agostino Sarubbo
Modified: 2016-07-16 13:11 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2014-03-17 09:56:47 UTC
From ${URL} :

It was reported [1] that the gdImageCreateFromXpm() function in libgd could dereference a NULL pointer, 
noting:

"The call to strlen() parses image.colorTable[i].c_color which is initialised as NULL if the particular 
color mapping uses a different key (such as monochrome/monovisual)."

This was reported against PHP, which includes an embedded copy of the gd library.  CVE-2014-2497 was 
assigned to this issue [2].

[1] https://bugs.php.net/bug.php?id=66901
[2] http://seclists.org/oss-sec/2014/q1/580


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 SpanKY gentoo-dev 2015-02-16 14:38:10 UTC
gd-2.1.1 is in the tree now, but will want to give it time to bake
Comment 2 Yury German Gentoo Infrastructure gentoo-dev Security 2015-02-16 14:39:38 UTC
Standard 30 Days, or less?
Comment 3 SpanKY gentoo-dev 2015-12-15 13:53:39 UTC
doing stabilization via bug 538686
Comment 4 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-06-28 02:58:41 UTC
Added to existing GLSA request.
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2016-07-16 13:11:36 UTC
This issue was resolved and addressed in
 GLSA 201607-04 at https://security.gentoo.org/glsa/201607-04
by GLSA coordinator Aaron Bauman (b-man).